For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all applicants
        • GETGet an applicant by ID
        • GETGet rentable items for an applicant
        • POSTCreate Applicant: ResMan
        • PUTUpdate Applicant: ResMan
        • POSTCreate Applicant Files: ResMan
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManApplicants

Create Applicant Files: ResMan

POST
/v1/applicants/resman/:applicant_id/file-upload
POST
/v1/applicants/resman/:applicant_id/file-upload
$curl -X POST https://api.propexo.com/v1/applicants/resman/applicant_id/file-upload \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "resman-7890",
> "application_id": "app-456123",
> "attachments": [
> {
> "file_data": "VGhpcyBpcyBhIHRlc3QgZG9jdW1lbnQgY29udGVudA==",
> "file_name": "lease_agreement.pdf",
> "mime_type": "application/pdf"
> }
> ]
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-123456"
4 },
5 "result": {
6 "integration_id": "resman-7890",
7 "applicant_id": "applicant-12345",
8 "application_id": "app-456123",
9 "attachments": [
10 {
11 "file_name": "lease_agreement.pdf",
12 "mime_type": "application/pdf",
13 "file_data": "VGhpcyBpcyBhIHRlc3QgZG9jdW1lbnQgY29udGVudA=="
14 }
15 ]
16 }
17}
Create Applicant Files: ResMan | Interface | Method | |---|---| | Documents | /Documents/Attach | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Get all applications

Next
Built with

Create Applicant Files: ResMan

InterfaceMethod
Documents/Documents/Attach
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

applicant_idstringRequired
The Propexo unique identifier for the applicant

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
application_idstringRequired
The Propexo unique identifier for the application
attachmentslist of objectsRequired
The files to be uploaded to the application. All the files can have a maximum combined file size of 50 MB

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error